HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Calculate Charge Cost

Provided a charge curve starting at a particular time of day, calculates the electricity cost of that charge curve for a particular UtilityAccount or Genability tariff.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
integer

(Beta - due to limited coverage) The unique ID of the utility account that this calculation is being run against. Either a utility_account_id or main_tariff_id is required for a valid request.

string

The Genability 'masterTariffId' unique identifier for this tariff. See Genability documentation for details. Either a utility_account_id or main_tariff_id is required for a valid request.

date-time
required

ISO8601 timestamp of when the charge begins. Note that the timestamp will be normalized down to the start of latest charge block resolution. For example, if the charge_block_resolution is 1h and the charging session starts at 2021-06-24T14:59:59Z, the start_time used to calculate the curve's cost will be normalized to 2021-06-24T14:00:00Z. If the charge_block_resolution is 15m, the start_time would be normalized to 2021-06-24T14:45:00Z. This normalization technique eliminates ambiguity around charging that occurs across time-of-use on/mid/off-peak window boundaries.

string
enum
Defaults to 1h

The duration of the charge blocks provided in the energy_usage_kwh param.

Allowed:
energy_usage_kwh
array of numbers
required

The load curve being priced. An array of charge blocks with each block representing the kWh of power consumed or to be consumed in that block.

energy_usage_kwh*
Headers
string
required
Defaults to 2022-10-13

The Arcadia-Version for the request

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json